Net::CUPS::PPD(3pm)

NAME
Net::CUPS::PPD - PostScript Printer Definition Object

SYNOPSIS
  use Net::CUPS;
  use Net::CUPS::PPD;

  my $ppd = $cups->getPPD( "lj4200dn" );

DESCRIPTION
Net::CUPS is an object oriented interface to the Common Unix Printing System.

Net::CUPS::PPD is an abstraction of methods to deal with PostSript Printer Definition files.

METHODS

getFirstOption
    my $option = $ppd->getFirstOption();

getNextOption
    my $option = $ppd->getNextOption();

getOption
    my $option = $ppd->getOption( $keyword );

getPageLength
    my $length = $ppd->getPageLength();

getPageSize
    my %size = $ppd->getPageSize();

getPageWidth
    my $width = $ppd->getPageWidth();

isMarked
    my $result = $ppd->isMarked( $option, $choice );

markDefaults
    $ppd->markDefaults();

markOption
    $ppd->markOption( $option, $choice );

SEE ALSO
Net::CUPS, Net::CUPS::Destination, Net::CUPS::IPP

SUPPORT
Net::CUPS is currently maintained by Stefan Seifert <NINE@cpan.org>. The Github repository for this project is at <https://github.com/niner/perl-Net-CUPS>. Pull requests are welcome.

AUTHOR
Dracken Technology, Inc. (http://www.dracken.com/)

COPYRIGHT AND LICENSE
Copyright (c) 2003-2005 David Hageman

Copyright (c) 2006-2009 Dracken Technology, Inc.

All rights reserved.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.8 or, at your option, any later version of Perl 5 you may have available.

CUPS, the Common UNIX Printing System, the CUPS logo, and ESP Print Pro are the trademark property of Easy Software Products.